<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'country',

    /*
     * Package.
     */
    'package'   => 'country',

    /*
     * Modules.
     */
    'modules'   => ['country', 
'zone'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    'country'       => [
        'model'                 => 'Country\Country\Models\Country',
        'table'                 => 'countries',
        'presenter'             => \Country\Country\Repositories\Presenter\CountryItemPresenter::class,
        'hidden'                => [],
        'visible'               => [],
        'guarded'               => ['*'],
        'slugs'                 => ['slug' => 'name'],
        'dates'                 => ['deleted_at'],
        'appends'               => [],
        'fillable'              => ['user_id', 'id',  'name',  'iso_code_2',  'iso_code_3',  'address_format',  'postcode_required',  'status',  'created_at',  'updated_at',  'deleted_at'],
        'translatables'         => ['id',  'name',  'iso_code_2',  'iso_code_3',  'address_format',  'postcode_required',  'status',  'created_at',  'updated_at',  'deleted_at'],
        'upload_folder'         => 'country/country',
        'uploads'               => [],
        'casts'                 => [],
        'revision'              => [],
        'perPage'               => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],

    ],

    'zone'       => [
        'model'                 => 'Country\Country\Models\Zone',
        'table'                 => 'zones',
        'presenter'             => \Country\Country\Repositories\Presenter\ZoneItemPresenter::class,
        'hidden'                => [],
        'visible'               => [],
        'guarded'               => ['*'],
        'slugs'                 => ['slug' => 'name'],
        'dates'                 => ['deleted_at'],
        'appends'               => [],
        'fillable'              => ['user_id', 'zone_id',  'country_id',  'name',  'code',  'status',  'PRIMARY'],
        'translatables'         => ['zone_id',  'country_id',  'name',  'code',  'status',  'PRIMARY'],
        'upload_folder'         => 'country/zone',
        'uploads'               => [],
        'casts'                 => [],
        'revision'              => [],
        'perPage'               => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],

    ],
];
