<?php

namespace Country\Country\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CountryItemTransformer extends TransformerAbstract
{
    public function transform(\Country\Country\Models\Country $country)
    {
        return [
            'id'                => $country->getRouteKey(),
            'id'                => $country->id,
            'name'              => $country->name,
            'iso_code_2'        => $country->iso_code_2,
            'iso_code_3'        => $country->iso_code_3,
            'address_format'    => $country->address_format,
            'postcode_required' => $country->postcode_required,
            'status'            => $country->status,
            'created_at'        => $country->created_at,
            'updated_at'        => $country->updated_at,
            'deleted_at'        => $country->deleted_at,
            'status'            => trans('app.'.$country->status),
            'created_at'        => format_date($country->created_at),
            'updated_at'        => format_date($country->updated_at),
        ];
    }
}